Skip to content
Start here

Delete a Notification policy

client.Alerting.Policies.Delete(ctx, policyID, body) (*PolicyDeleteResponse, error)
DELETE/accounts/{account_id}/alerting/v3/policies/{policy_id}

Delete a Notification policy.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Notifications WriteAccount Settings Write
ParametersExpand Collapse
policyID string

The unique identifier of a notification policy

maxLength32
body PolicyDeleteParams
AccountID param.Field[string]

The account id

maxLength32
ReturnsExpand Collapse
type PolicyDeleteResponse struct{…}
Errors []PolicyDeleteResponseError
Message string
Code int64optional
minimum1000
Messages []PolicyDeleteResponseMessage
Message string
Code int64optional
minimum1000
Success PolicyDeleteResponseSuccess

Whether the API call was successful

ResultInfo PolicyDeleteResponseResultInfooptional
Count float64optional

Total number of results for the requested service

Page float64optional

Current page within paginated list of results

PerPage float64optional

Number of results per page of results

TotalCount float64optional

Total results available without any search parameters

Delete a Notification policy

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/alerting"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  policy, err := client.Alerting.Policies.Delete(
    context.TODO(),
    "0da2b59ef118439d8097bdfb215203c9",
    alerting.PolicyDeleteParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", policy.Errors)
}
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}